flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Test14 - 2D transport with time variable boundary, test matching input/output times even if prescribed initial
    and maximal time step is larger.
  mesh:
    mesh_file: ../00_mesh/rectangle_1x0.2.msh
  # steady velocity field, with velocity v:0.1
  flow_equation: !Flow_Darcy_LMH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: bulk
        conductivity: 1
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: x
    output:
      fields:
        - pressure_p0
        - velocity_p0
    output_stream:
      file: ./flow.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: bulk
          init_conc: 0
        - region: .right
          time: 0.0
          bc_conc: !FieldFormula
            value: 100*(1-t/0.1)
        - region: .right
          time: 0.1
          bc_conc: 0
        - region: .right
          time: 0.16
          bc_conc: 100
        - region: .right
          time: 0.17
          bc_conc: 0
        - region: .right
          time: 0.35
          bc_conc: 20
      solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    substances:
      - A
    time:
      init_dt: 0.03
      max_dt: 0.07
      end_time: 0.5
    output_stream:
      file: ./transport.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 0.1
      precision: 15
    balance:
      cumulative: true
